# Class Sdss

java.lang.Object
uk.ac.starlink.topcat.func.Sdss

public class Sdss extends Object
Specialist display functions for use with the Sloan Digital Sky Server.

Since:
  25 Aug 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SDSS_BASE_URL`
Base URL for SkyServer JPEG retrieval service.
`static final String`
`SDSS_DR2_BASE_URL`
Base URL for SkyServer JPEG retrieval service, DR2.

## Method Summary

Modifier and Type
Method
Description
`static String`
`sdssShowCutout(double ra, double dec)`
Displays a colour cutout image of a default size from the SDSS around a given sky position.
`static String`
`sdssShowCutout(double ra, double dec, int pixels, double scale)`
Displays a colour cutout image of a specified size from the SDSS around a given sky position with pixels of a given size.
`static String`
`sdssShowCutout(String label, double ra, double dec, int pixels)`
Displays a colour cutout image of a specified size from the SDSS around a given sky position.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SDSS_DR2_BASE_URL

public static final String SDSS_DR2_BASE_URL
Base URL for SkyServer JPEG retrieval service, DR2.

See Also:
  - Constant Field Values

### SDSS_BASE_URL

public static final String SDSS_BASE_URL
Base URL for SkyServer JPEG retrieval service.

See Also:
  - Constant Field Values

## Method Details

### sdssShowCutout

public static String sdssShowCutout(String label, double ra, double dec, int pixels)
Displays a colour cutout image of a specified size from the SDSS around a given sky position. The displayed image is square, a given number of (0.4arcsec) pixels on each side.

Parameters:
  `label` - label for display window
  `ra` - Right Ascension in degrees
  `dec` - Declination in degrees
  `pixels` - size of displayed image in SDSS pixels
Returns:
  short log message

### sdssShowCutout

public static String sdssShowCutout(double ra, double dec, int pixels, double scale)
Displays a colour cutout image of a specified size from the SDSS around a given sky position with pixels of a given size. Pixels are square, and their size on the sky is specified by the `scale` argument. The displayed image has `pixels` pixels along each side.

Parameters:
  `ra` - Right Ascension in degrees
  `dec` - Declination in degrees
  `pixels` - size of displayed image in SDSS pixels
  `scale` - pixel size in arcseconds
Returns:
  short log message

### sdssShowCutout

public static String sdssShowCutout(double ra, double dec)
Displays a colour cutout image of a default size from the SDSS around a given sky position. The displayed image is 128 pixels square - a pixel is 0.4arcsec.

Parameters:
  `ra` - Right Ascension in degrees
  `dec` - Declination in degrees
Returns:
  short log message